org.jbpm.services.task.commands

## Class GetContentByIdForUserCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<org.kie.api.task.model.Content>
    - - org.jbpm.services.task.commands.GetContentByIdForUserCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<org.kie.api.task.model.Content>, org.kie.api.command.Command<org.kie.api.task.model.Content>

      public class GetContentByIdForUserCommand
      extends UserGroupCallbackTaskCommand<org.kie.api.task.model.Content>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetContentByIdForUserCommand()`
    `GetContentByIdForUserCommand(Long contentId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.api.task.model.Content` | `execute(org.kie.api.runtime.Context cntxt)`
    `Long` | `getContentId()`
    `void` | `setContentId(Long contentId)`

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackAndReturnUserOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, isBusinessAdmin, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### GetContentByIdForUserCommand

          public GetContentByIdForUserCommand()

    - #### GetContentByIdForUserCommand

          public GetContentByIdForUserCommand(Long contentId)

  - ### Method Detail

    - #### getContentId

          public Long getContentId()

    - #### setContentId

          public void setContentId(Long contentId)

    - #### execute

          public org.kie.api.task.model.Content execute(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.drools.core.command.impl.ExecutableCommand<org.kie.api.task.model.Content>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<org.kie.api.task.model.Content>`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.